### Method

# FwupdPlugin UdevDevice write_bytes

since: 2.0.7

#### Declaration [src]

    gboolean
    fu_udev_device_write_bytes (
      FuUdevDevice* self,
      GBytes* blob,
      guint timeout_ms,
      FuIOChannelFlags flags,
      GError** error
    )

#### Description [src]

Write a buffer to a file descriptor.

Available since: 2.0.7

#### Parameters

`blob`

  Type: `GBytes`

  A `GBytes`.

  The data is owned by the caller of the method.

`timeout_ms`

  Type: `guint`

  Timeout in ms.

`flags`

  Type: `FuIOChannelFlags`

  Channel flags, e.g. `FU_IO_CHANNEL_FLAG_SINGLE_SHOT`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.